cordova.define("plugin-jsbridge.JSBridge", function (require, exports, module) {
    var exec = require('cordova/exec');

    // JSBridge： 是plugin.xml文件中的feature标签 name属性
    // show：是js中调用的方法名
    // [arg0]: 表示一个参数，[arg0,arg1]:表示两个参数
    exports.show = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'show', [arg0]);
    };

    exports.ShowADBanner = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'ShowADBanner', [arg0]);
    };

    exports.ShowADVideo = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'ShowADVideo', [arg0]);
    };

    exports.ShowADNative = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'ShowADNative', [arg0]);
    };

    exports.ShowADInterstitial = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'ShowADInterstitial', [arg0]);
    };

    exports.ShowADInterstitialVideo = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'ShowADInterstitialVideo', [arg0]);
    };

    exports.ShowADSplash = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'ShowADSplash', [arg0]);
    };

    exports.ShowToast = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'ShowToast', [arg0]);
    }

    exports.YMEvent = function (arg0, success, error) {
        exec(success, error, 'JSBridge', 'YMEvent', [arg0]);
    }
});
